Subject: Re: Common kernel image for e300 and e500v2

From: Scott Wood <[email-masked]>
Date: Fri, 23 Jan 2009 12:42:00 -0600

Johns Daniel wrote:
> Thank you for that piece of info, Scott!
> 
> May I expand the question one bit, and ask whether the user-mode 
> binaries compiled for the e300 will generally work for the e500 -- or, 
> vice versa? Is one choice safer than the other?
> 
> I know for sure that we take a big hit on floating-point ops, but are 
> there other things I am not considering?

It should work, though as you note floating point will have to be 
emulated (make sure your kernel supports it); better would be to compile 
as soft-float.  Also avoid string instructions.

-Scott